diff -pruN 5.69.0-1/CMakeLists.txt 5.70.0-0ubuntu1/CMakeLists.txt
--- 5.69.0-1/CMakeLists.txt	2020-04-04 22:39:06.000000000 +0000
+++ 5.70.0-0ubuntu1/CMakeLists.txt	2020-05-02 22:02:05.000000000 +0000
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.69.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.69.0") # handled by release scripts
+set(KF5_VERSION "5.70.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.70.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF5_VERSION})
 
@@ -21,7 +21,7 @@ include(FeatureSummary)
 
 ################# set KDE specific information #################
 
-find_package(ECM 5.69.0 REQUIRED NO_MODULE)
+find_package(ECM 5.70.0 REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -117,9 +117,15 @@ if (KF5IconThemes_FOUND AND KF5WidgetsAd
 add_subdirectory(kirigami-plasmadesktop-integration)
 endif(KF5IconThemes_FOUND AND KF5WidgetsAddons_FOUND)
 
-#FIXME: this assumes there will always be a QQC2 release for each Qt release, needs
-#something to discover what's the latest qqc2 version available
-math(EXPR QQC2_VERSION_MINOR "${Qt5QuickControls2_VERSION_MINOR} - 7")
+# FIXME: this assumes there will always be a QQC2 release for each Qt release, needs
+# something to discover what's the latest qqc2 version available
+# Since 5.12, QQC2 version is sync with Qt's minor version:
+# https://github.com/qt/qtquickcontrols2/commit/3c7bfc156797b2f3ef08a8cf620b79da80e4b061
+if (Qt5QuickControls2_VERSION_MINOR LESS 12)
+    math(EXPR QQC2_VERSION_MINOR "${Qt5QuickControls2_VERSION_MINOR} - 7")
+else()
+    set(QQC2_VERSION_MINOR "${Qt5QuickControls2_VERSION_MINOR}")
+endif()
 set(QQC2_VERSION "2.${QQC2_VERSION_MINOR}")
 
 if (QQC2_VERSION_MINOR LESS 3)
diff -pruN 5.69.0-1/debian/changelog 5.70.0-0ubuntu1/debian/changelog
--- 5.69.0-1/debian/changelog	2020-04-30 15:56:17.000000000 +0000
+++ 5.70.0-0ubuntu1/debian/changelog	2020-05-09 11:35:34.000000000 +0000
@@ -1,81 +1,171 @@
-qqc2-desktop-style (5.69.0-1) experimental; urgency=medium
+qqc2-desktop-style (5.70.0-0ubuntu1) groovy; urgency=medium
 
-  * Team upload.
+  [ José Manuel Santamaría Lema ]
+  * New upstream release (5.69.0)
 
-  [ Sandro Knauß ]
-  * Bump compat level to 12.
-  * Bump Standards-Version to 4.5.0 (No changes needed).
-  * Add Rules-Requires-Root field to control.
-  * New upstream release (5.69.0).
-  * Update build-deps and deps with the info from cmake.
-  * Enable hardening all.
-  * Remove not needed injection of linker flags.
+  [ Rik Mills ]
+  * New upstream release (5.70.0)
 
- -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:56:17 +0200
+ -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:35:34 +0100
 
-qqc2-desktop-style (5.62.0-1) unstable; urgency=medium
+qqc2-desktop-style (5.68.0-0ubuntu1) focal; urgency=medium
 
-  * New upstream release (5.62.0).
-  * Update build-deps and deps with the info from cmake
-  * Release to unstable
+  * New upstream release (5.68.0)
 
- -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:18 -0700
+ -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 21:01:02 +0000
 
-qqc2-desktop-style (5.61.0-1) experimental; urgency=medium
+qqc2-desktop-style (5.67.1-0ubuntu2) focal; urgency=medium
 
-  * Salsa CI automatic initialization by Tuco
-  * New upstream release (5.61.0).
-  * Update build-deps and deps with the info from cmake
-  * Release to experimental
+  * Add upstream patch request by KDE developers.
+    https://bugs.kde.org/418447
+    - d/p: upstream_Fix-sizing-of-CheckBox-and-RadioButton.patch
 
- -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:11 +0100
+ -- Rik Mills <rikmills@kde.org>  Sat, 21 Mar 2020 06:38:27 +0000
 
-qqc2-desktop-style (5.54.0-1) unstable; urgency=medium
+qqc2-desktop-style (5.67.1-0ubuntu1) focal; urgency=medium
 
-  * New upstream release (5.52.0).
-  * Update build-deps and deps with the info from cmake
-  * New upstream release (5.53.0).
-  * Update build-deps and deps with the info from cmake
-  * New upstream release (5.54.0).
-  * Update build-deps and deps with the info from cmake
-  * Bump group breaks (5.54)
-  * Release to unstable
+  * New upstream release (5.67.1)
 
- -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:39 -0300
+ -- Rik Mills <rikmills@kde.org>  Mon, 10 Feb 2020 22:56:26 +0000
 
-qqc2-desktop-style (5.51.0-1) unstable; urgency=medium
+qqc2-desktop-style (5.67.0-0ubuntu1) focal; urgency=medium
 
-  * New upstream release (5.50.0).
-  * Update build-deps and deps with the info from cmake
-  * Bump group breaks (5.50)
-  * New upstream release (5.51.0).
-  * Update build-deps and deps with the info from cmake
-  * Bump group breaks (5.51)
-  * Release to unstable
+  * New upstream release (5.67.0)
 
- -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:37 +0100
+ -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:53:48 +0000
 
-qqc2-desktop-style (5.49.0-1) unstable; urgency=medium
+qqc2-desktop-style (5.66.0-0ubuntu1) focal; urgency=medium
 
-  * New upstream release (5.48.0).
-  * Update build-deps and deps with the info from cmake
-  * New upstream release (5.49.0).
-  * Update build-deps and deps with the info from cmake
-  * Bump group breaks (5.49)
-  * Release to unstable
+  * New upstream release (5.66.0)
 
- -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:17 +0200
+ -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:22:43 +0000
 
-qqc2-desktop-style (5.47.0-1) unstable; urgency=medium
+qqc2-desktop-style (5.65.0-0ubuntu1) focal; urgency=medium
 
-  * New revision
-  * Add upstream metadata
-  * New upstream release (5.47.0).
-  * Update build-deps and deps with the info from cmake
-  * Bump group breaks (5.47)
-  * Release to unstable
+  * New upstream release (5.65.0)
+  * Amend debian/libkf5qqc2desktopstyle-dev.install, it had a typo so
+    files weren't installed correctly
+  * Add qml-module-qtquick-layouts to qml-module-org-kde-
+    qqc2desktopstyle Depends, following KDE Neon.
+
+ -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:03:38 +0000
+
+qqc2-desktop-style (5.64.0-0ubuntu1) focal; urgency=medium
+
+  * New upstream release (5.63.0)
+  * New upstream release (5.64.0)
+
+ -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:27:50 +0000
+
+qqc2-desktop-style (5.62.0-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (5.62.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:10:19 +0100
+
+qqc2-desktop-style (5.61.0-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (5.61.0)
+
+ -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:46:01 +0100
+
+qqc2-desktop-style (5.60.0-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (5.60.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:19:21 +0100
+
+qqc2-desktop-style (5.59.0-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (5.59.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:22:32 +0100
+
+qqc2-desktop-style (5.58.0-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (5.58.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:43:46 +0100
+
+qqc2-desktop-style (5.57.0-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (5.57.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:41:17 +0100
+
+qqc2-desktop-style (5.56.0-0ubuntu2) disco; urgency=medium
+
+  * Rebuild against QtDeclarative 5.12.
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 22:57:55 +0100
+
+qqc2-desktop-style (5.56.0-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (5.56.0)
+
+ -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:38:59 +0000
+
+qqc2-desktop-style (5.55.0-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (5.55.0)
 
- -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:11:08 +0200
+ -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:34:26 +0000
+
+qqc2-desktop-style (5.54.0-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (5.54.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:37:34 +0000
+
+qqc2-desktop-style (5.53.0-0ubuntu2) disco; urgency=medium
+
+  * No-change rebuild against qtdeclarative 5.11.3
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 01 Jan 2019 21:43:58 +0000
+
+qqc2-desktop-style (5.53.0-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (5.53.0)
+
+ -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:51:07 +0000
+
+qqc2-desktop-style (5.52.0-0ubuntu1) disco; urgency=medium
+
+  [ Rik Mills ]
+  * New upstream release (5.51.0)
+
+  [ José Manuel Santamaría Lema ]
+  * New upstream release (5.52.0)
+
+ -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:44:30 +0000
+
+qqc2-desktop-style (5.50.0-0ubuntu1) cosmic; urgency=medium
+
+  * New upstream release (5.50.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:20:10 +0100
+
+qqc2-desktop-style (5.49.0-0ubuntu1) cosmic; urgency=medium
+
+  [ Rik Mills ]
+  * No change rebuild against Qt 5.10
+  * New upstream release (5.48.0)
+  * New upstream release (5.49.0)
+
+  [ José Manuel Santamaría Lema ]
+  * Move away from dhmk and set compat level to 11 in order to reduce
+    delta with Debian
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:32:35 +0100
+
+qqc2-desktop-style (5.47.0-0ubuntu1) cosmic; urgency=medium
+
+  * New upstream release (5.47.0)
+  * Merge with debian, notes:
+    - keep using dhmk and debhelper compat level = 9, see:
+      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:51:59 +0100
 
 qqc2-desktop-style (5.46.2-1) unstable; urgency=medium
 
@@ -84,6 +174,18 @@ qqc2-desktop-style (5.46.2-1) unstable;
 
  -- Maximiliano Curia <maxy@debian.org>  Fri, 18 May 2018 13:02:42 +0200
 
+qqc2-desktop-style (5.46.2-0ubuntu1) cosmic; urgency=medium
+
+  * New upstream bugfix release (5.46.2)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 May 2018 17:45:22 +0100
+
+qqc2-desktop-style (5.46.1-0ubuntu1) cosmic; urgency=medium
+
+  * New upstream bugfix release (5.46.1)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Wed, 16 May 2018 17:11:55 +0100
+
 qqc2-desktop-style (5.46.0-1) unstable; urgency=medium
 
   * New upstream release (5.46.0).
@@ -95,6 +197,13 @@ qqc2-desktop-style (5.46.0-1) unstable;
 
  -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:55 +0200
 
+qqc2-desktop-style (5.46.0-0ubuntu1) cosmic; urgency=medium
+
+  * New upstream release (5.45.0)
+  * New upstream release (5.46.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:59:02 +0100
+
 qqc2-desktop-style (5.45.0-1) unstable; urgency=medium
 
   * New upstream release (5.45.0).
@@ -113,6 +222,13 @@ qqc2-desktop-style (5.44.0-1) sid; urgen
 
  -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:33 +0100
 
+qqc2-desktop-style (5.44.0-0ubuntu1) bionic; urgency=medium
+
+  * Re-order copyright file
+  * New upstream release (5.44.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 20:00:35 +0000
+
 qqc2-desktop-style (5.43.0-1) experimental; urgency=medium
 
   * Use the salsa canonical urls
@@ -122,6 +238,12 @@ qqc2-desktop-style (5.43.0-1) experiment
 
  -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:24 +0100
 
+qqc2-desktop-style (5.43.0-0ubuntu1) bionic; urgency=medium
+
+  * New upstream release (5.43.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:17:58 +0000
+
 qqc2-desktop-style (5.42.0-2) sid; urgency=medium
 
   * New revision
@@ -141,6 +263,12 @@ qqc2-desktop-style (5.42.0-1) experiment
 
  -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:06:17 +0100
 
+qqc2-desktop-style (5.42.0-0ubuntu1) bionic; urgency=medium
+
+  * New upstream release (5.42.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:24:26 +0000
+
 qqc2-desktop-style (5.41.0-1) experimental; urgency=medium
 
   * Update Vcs fields
@@ -153,12 +281,23 @@ qqc2-desktop-style (5.41.0-1) experiment
 
  -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:25 -0300
 
+qqc2-desktop-style (5.41.0-0ubuntu1) bionic; urgency=low
+
+  * New upstream release (5.41.0)
+
+ -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:10:01 -0600
+
 qqc2-desktop-style (5.41.0-0neon) xenial; urgency=medium
 
   * New release
 
  -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:49:10 +0000
 
+qqc2-desktop-style (5.40.0-0ubuntu1) bionic; urgency=medium
+
+  * Initial release to Ubuntu (LP: #1728440)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:19:02 +0000
 qqc2-desktop-style (5.40.0-0neon) xenial; urgency=medium
 
   * New release
diff -pruN 5.69.0-1/debian/compat 5.70.0-0ubuntu1/debian/compat
--- 5.69.0-1/debian/compat	1970-01-01 00:00:00.000000000 +0000
+++ 5.70.0-0ubuntu1/debian/compat	2020-05-09 11:35:34.000000000 +0000
@@ -0,0 +1 @@
+11
diff -pruN 5.69.0-1/debian/control 5.70.0-0ubuntu1/debian/control
--- 5.69.0-1/debian/control	2020-04-16 00:06:20.000000000 +0000
+++ 5.70.0-0ubuntu1/debian/control	2020-05-09 11:35:34.000000000 +0000
@@ -3,31 +3,29 @@ Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                dbus-x11,
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.69.0~),
-               kirigami2-dev (>= 5.69.0~),
-               libkf5config-dev (>= 5.69.0~),
-               libkf5iconthemes-dev (>= 5.69.0~),
-               libqt5x11extras5-dev (>= 5.12.0~),
+               debhelper (>= 11~),
+               extra-cmake-modules (>= 5.70.0~),
+               kirigami2-dev (>= 5.70.0~),
+               libkf5iconthemes-dev (>= 5.70.0~),
+               libqt5x11extras5-dev (>= 5.8.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.12.0~),
-               qtdeclarative5-dev (>= 5.12.0~),
-               qtquickcontrols2-5-dev (>= 5.12.0~)
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
+               qtquickcontrols2-5-dev (>= 5.8.0~),
+Standards-Version: 4.1.4
 Homepage: https://cgit.kde.org/qqc2-desktop-style.git/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style.git
-Rules-Requires-Root: no
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
 
 Package: libkf5qqc2desktopstyle-dev
-Section: libdevel
 Architecture: any
+Section: libdevel
 Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
 Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
 Description: Qt Quick Controls 2: Desktop Style
@@ -38,15 +36,16 @@ Description: Qt Quick Controls 2: Deskto
 
 Package: qml-module-org-kde-qqc2desktopstyle
 Architecture: any
-Depends: qml-module-org-kde-kirigami2 (>= 5.54),
+Depends: qml-module-org-kde-kirigami2 (>= 5.47),
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
          qml-module-qtquick-templates2,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Qt Quick Controls 2: Desktop Style
  Small style written in QML for QtQuickControls2 intended to be used
  by default in QQC2-based apps when used in the Plasma desktop
diff -pruN 5.69.0-1/debian/libkf5qqc2desktopstyle-dev.install 5.70.0-0ubuntu1/debian/libkf5qqc2desktopstyle-dev.install
--- 5.69.0-1/debian/libkf5qqc2desktopstyle-dev.install	2020-04-13 19:30:28.000000000 +0000
+++ 5.70.0-0ubuntu1/debian/libkf5qqc2desktopstyle-dev.install	2020-05-09 11:35:34.000000000 +0000
@@ -1 +1,2 @@
+usr/lib/*/cmake/KF5QQC2DesktopStyle/*
 usr/lib/*/cmake/KF5QQC2DeskopStyle/*
diff -pruN 5.69.0-1/debian/meta/cmake-ignore 5.70.0-0ubuntu1/debian/meta/cmake-ignore
--- 5.69.0-1/debian/meta/cmake-ignore	2020-04-13 19:30:28.000000000 +0000
+++ 5.70.0-0ubuntu1/debian/meta/cmake-ignore	2020-05-09 11:35:34.000000000 +0000
@@ -1,2 +1 @@
-- QCH , API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop):
-  series: xenial
+Git
diff -pruN 5.69.0-1/debian/rules 5.70.0-0ubuntu1/debian/rules
--- 5.69.0-1/debian/rules	2020-04-29 01:20:42.000000000 +0000
+++ 5.70.0-0ubuntu1/debian/rules	2020-05-09 11:35:34.000000000 +0000
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
 	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
diff -pruN 5.69.0-1/debian/salsa/extra_repository.list 5.70.0-0ubuntu1/debian/salsa/extra_repository.list
--- 5.69.0-1/debian/salsa/extra_repository.list	2020-04-13 21:16:46.000000000 +0000
+++ 5.70.0-0ubuntu1/debian/salsa/extra_repository.list	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-deb https://qt-kde-team.debian.net/debian qt-kde-snapshots main
diff -pruN 5.69.0-1/debian/salsa/qt-kde-team.debian.net.asc 5.70.0-0ubuntu1/debian/salsa/qt-kde-team.debian.net.asc
--- 5.69.0-1/debian/salsa/qt-kde-team.debian.net.asc	2020-04-13 21:16:51.000000000 +0000
+++ 5.70.0-0ubuntu1/debian/salsa/qt-kde-team.debian.net.asc	1970-01-01 00:00:00.000000000 +0000
@@ -1,51 +0,0 @@
------BEGIN PGP PUBLIC KEY BLOCK-----
-
-mQINBFbRhD8BEADR1NNpDI/ekbEMKy0rn8wYWMFgkdg8T7U7iok+QbNd6pad7ZmY
-vMZ9YydyKFDXzrXdx06SFDUMdFnYHhedReROJF3C6/IWBQHHKsad1cxu6HtHwBER
-P7CMqyjwbQaNf7VR40iSPLiSH4AhpW4L9G0POCrl3oMVKRreMhk86aST6H5YLafb
-CTwoELE5GU50pNMena98MUdjCrDNPRdUu1+GFxjjGB5T2ESeQ1zsa1OhMxHw8dgt
-pk35WTyD5ETGYs6JVpN1GYvGruCm6dKjMMgIiH0OO7oNUtkqiUE/jAzb0UEX1VqS
-d74QrFpqfRpDy+gatglYt3aK1k6HX2aGR3NJshtjejjVhDpOTn8oQrslD+Rtn7nN
-bdzf5agYFzyfWBA/466VXWpRp0n+2QfDYnpabuzKN+CYaWsIdpNgVgr3PshpTzKV
-vN3wle0V5kEeA1wO5lNRcc+NG98SvL+gNIrH0BZzNOVKAGuZ83pm2cr636IJSBTo
-wP40+RWCy5skB67s6MlXa3tq4Q/EVoL9VdgyffOQHgVb6d2jMiXXEjPYqPVnsWkp
-w7+PgqaH32wLKwyUbYRz21WVzkwbFr7LvDgaj0PiI9r5c/qN4cKmi4+1zgJuAFOh
-wjKbRIzFOApYmcIWXA8suVhUHgzKye1Cix4mD0eoKIGA2nM+wEvLy0DcaQARAQAB
-tDxMWFF0IFBhY2thZ2luZyBUZWFtIDxwa2ctbHhxdC1kZXZlbEBsaXN0cy5hbGlv
-dGguZGViaWFuLm9yZz6JAjcEEwEKACEFAlbRhD8CGwMFCwkIBwMFFQoJCAsFFgID
-AQACHgECF4AACgkQOgXVl5oByVEhUxAAp3TQOStOjwRN26/I4YFeMttDQ3AlWuSB
-PycTZbkHoZLNkvIJJuzoXkGXiGZLA7UVuEPTEztB3Bo3IgB+FiDkXWUtG5qj42KV
-vqGYq8IjIO8gxRQH+ZK0aiPIZrcCE2z7jFi5ocGVDveS9PbXs7FxVnuP+nBvpuI9
-e43rJM5VgQZbVQbqSmyeaM5KFd+izTfkm0qDVRz6X0l+q1lb2fRjalYXtrueeQro
-0E7r1QrYgCxvWT8L71E8eRAdrDbmtCTUebIE/Dle6TDm/tagS9I05COEdOFi2SPa
-I4esRzU1tuQxtCVb8E+1rSi1wmNRQSDr2GumIGAJC8ME5StuntwLAJXbzWu/NjJT
-uNz2noyfk4ZRNVRuJAZjFivJQqAC1ycRJpLPZuHFJy8Z+8ugKD3sE6MJJfM/tZi1
-hD1nZzgV35uPo2kgVe96zZQlDAZJVlNIF5GOFNOgSN/s+Bq8/zmBJGrkz6/kwRp7
-dJJG1BSMGoyi1vh3Iy9H+Eq1TYd2C1u3GbV2wE7UR2d9Obt+NmCwTpG0nimsW0DD
-KNNuzkgBjBQUpt0b99gJULI6aYxWFIvTD77fsmjaKgnlx4shS0y4i+L5sOWqdTXX
-ICu+Xnq0ROzmf1+aOGeR500RR7OjU+PmShDklmdE5Ss3Hzqi36tTipGpjKDaDoKA
-lM6xZCxUi+25Ag0EVtGEPwEQALR3uffc7bq+xGUVUtCiEbeOYvEDYzoZPvt/Yu57
-BQ56Ar/SkrKthAt7C+IMOJ2NJDHRWtkcYOqQqb4anAlf9a7NSkIwtZh4KeXfA6VZ
-3T3JubIrMcO0YFKi11wga2BNkDPv+z9MdYPq9ocoP7pyIWSz70TE/Yo1aaA18l6g
-Rx1Wdg/+vjrNjcz8BVEM1szaZTGSb8W2lPqESiG/lTUC90rGKh+7fbEOJPvf1CG9
-wzGgH5NhcU4evu14obvQTwmXo6XPjmx7YtvcfQynNBECdJOyZg2O6qR4wwMKYzSU
-+U0KnntCxSFGt4cspnMvnC13DhRmfRJoZxCaCA2GE6ThLu6aqAqcXvaUQUZRP9o/
-HIQm4rEPaZSdJq4pgPv8QKOXWhvk88uh0xW5j2tYyrS8klok42tXIKmGhYej13rJ
-e2CJ57bZTGz12ferGCLUUMTH3oAUxdzykrao/gDk+kKxxYpCe6MAbtamVbsBbiar
-rp11y4WhLmeb69SXrE2uNJSf71f7GvjjiZQoCvRJL/1OFtpUCj/c8Dz+8gnMsPwU
-lXJa7tbsxLrOhkNf/clBt4Nf/v60o7Ig9glgyuNXc2cq8VtP+vU3Pde1GNJp4qsP
-JgmlU97n1eIdubg2o7HBsSBJ860+Fn2CfnO1umQoMP0uzF4M5fyfTWXy0A/DgFEH
-7o03ABEBAAGJAh8EGAEKAAkFAlbRhD8CGwwACgkQOgXVl5oByVHfeA/9HCaVGqpv
-RaZa5ciomYsg9vsZoMB6WhM1kyG11utwgV+Hl9XhktAFFo6B9BnyzhxYGn8Tcefi
-Et3lKi/vt6vvk9BU5sKmE9Pt+T9tnjK8MKcOHco0bmnCByE6HZxtVkcSlYgnyf4s
-II9kQoSADwwodQn4f5JSb9NIxHxBD+Aga3d4yYBDOLrBzW2BN6xilqTGZpcMioht
-8VIOvs/YUOpLhZuARtPszCUjGB/WGspQlrIldSRIpvshSUd79SrcYM5OyzeuF7aP
-h1xt+3l5kxDE1oKYgW9rKycp6liillOQyZlIJmeU2D30IqVQshYDfYvy/3cL9TO6
-CcYGkBaFFf8fKGEEBWG35M0+PXaiivQ2efBfekt1i3MaFn25t2Lgjt31wKjZqRfZ
-xRFodkRx/qSxZcaJU8NYSxVC2OEwlEIN0v3/eWZMOzYwFvCcg/a3M7ARlQOwt1YZ
-Lsj83SJ263KjdGpgDE0Rk6B416dT/vClRmGg5jyX05keymzzfl//z93rerwPqbV/
-ygi4vRVswBSrACwRKXEzaUEeutGX8L49XFNi/p5gYL8RCTGOM4PxD5AmTC7+VnnO
-T1155UsunpBrlFUTKhxJGUux11TgojiGJY3ID7fP8EqyZWp6z3CXqXTxv8CP8Ye1
-bMTcHe5rk6snXqz1neEmP2K7qdNwwakRdAA=
-=o8PI
------END PGP PUBLIC KEY BLOCK-----
diff -pruN 5.69.0-1/debian/salsa-ci.yml 5.70.0-0ubuntu1/debian/salsa-ci.yml
--- 5.69.0-1/debian/salsa-ci.yml	2020-04-13 21:16:30.000000000 +0000
+++ 5.70.0-0ubuntu1/debian/salsa-ci.yml	1970-01-01 00:00:00.000000000 +0000
@@ -1,9 +0,0 @@
-include:
-  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/salsa-ci.yml
-  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/pipeline-jobs.yml
-variables:
-  SALSA_CI_DISABLE_MISSING_BREAKS: 'no'
-  SALSA_CI_DISABLE_RC_BUGS: 'no'
-  SALSA_CI_REPROTEST_ARGS: '--variations=-build-path'
-  EXTRA_REPOSITORY: 'debian/salsa/extra_repository.list'
-  EXTRA_REPOSITORY_KEY: 'debian/salsa/qt-kde-team.debian.net.asc'
diff -pruN 5.69.0-1/debian/upstream/metadata 5.70.0-0ubuntu1/debian/upstream/metadata
--- 5.69.0-1/debian/upstream/metadata	2020-04-13 19:30:28.000000000 +0000
+++ 5.70.0-0ubuntu1/debian/upstream/metadata	1970-01-01 00:00:00.000000000 +0000
@@ -1,9 +0,0 @@
-Name: qqc2-desktop-style
-Changelog: https://cgit.kde.org/qqc2-desktop-style.git/log
-Contact: kde-frameworks-devel@kde.org
-Donation: https://www.kde.org/community/donations/index.php
-Repository: https://anongit.kde.org/qqc2-desktop-style.git
-Repository-Browse: https://cgit.kde.org/qqc2-desktop-style.git
-Security-Contact: security@kde.org
-Bug-Database: https://bugs.kde.org/buglist.cgi?product=qqc2-desktop-style&component=general
-Bug-Submit: https://bugs.kde.org/enter_bug.cgi?product=qqc2-desktop-style
diff -pruN 5.69.0-1/org.kde.desktop/ComboBox.qml 5.70.0-0ubuntu1/org.kde.desktop/ComboBox.qml
--- 5.69.0-1/org.kde.desktop/ComboBox.qml	2020-04-04 22:39:06.000000000 +0000
+++ 5.70.0-0ubuntu1/org.kde.desktop/ComboBox.qml	2020-05-02 22:02:05.000000000 +0000
@@ -196,9 +196,15 @@ T.ComboBox {
         Kirigami.Theme.colorSet: Kirigami.Theme.View
         Kirigami.Theme.inherit: controlRoot.Kirigami.Theme.inherit
         modal: true
-        dim: false
+        dim: true
         closePolicy: Controls.Popup.CloseOnEscape | Controls.Popup.CloseOnPressOutside
 
+        // Forces it to have a transparent dimmer.
+        // A dimmer is needed for "click outside" to work reliably in some views
+        // but default dimmer would, well, dim the contents in pure QtQuick windows,
+        // like ApplicationWindow, which we don't want.
+        Controls.Overlay.modal: Item { }
+
         contentItem: ListView {
             id: listView
 
